unit IndexGen;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, Grids, DataGrid, Main;

type
  TformCreateNdx = class(TForm)
    FieldGrid: TStringGrid;
    btnAdd: TBitBtn;
    btnRemove: TBitBtn;
    btnCancel: TBitBtn;
    btnOk: TBitBtn;
    IndexGrid: TDataGrid;
    procedure FormActivate(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  formCreateNdx: TformCreateNdx;

implementation

{$R *.DFM}

uses NewForm;

procedure TformCreateNdx.FormActivate(Sender: TObject);
var
  Cntr: Integer;
begin
  FieldGrid.RowCount := formNew.DataGrid1.RowCount + 1;
  FieldGrid.Cells[0,0] := 'Fields';
  for Cntr := 1 to formNew.DataGrid1.RowCount do
    FieldGrid.Cells[0,Cntr] := formNew.DataGrid1.Cells[0,Cntr-1];
  {od for}
  with FieldGrid do
    if Length(Cells[0,RowCount-1]) = 0 then
      RowCount := RowCount-1;
    {fi}
  {od with}
end;

procedure TformCreateNdx.FormCreate(Sender: TObject);
begin
  IndexGrid.ColWidths[0] := 75;
  IndexGrid.ColWidths[1] := 75;
  IndexGrid.ColWidths[2] := 175;
end;

end.
